Summary: EMI AMGA Server - Metadata Catalog system
Name: emi.amga.amga-server
Version: 2.4.0
Release: 1.sl5
License: ASL 2.0
URL: http://amga.web.cern.ch/amga/
Vendor: EMI
Group: System Environment/Libraries
BuildRequires: flex
BuildRequires: boost-devel
BuildRequires: libxml2-devel
BuildRequires: glite-build-common-cpp
BuildRequires: libxml2
BuildRequires: unixODBC
BuildRequires: openssl
BuildRequires: openssl-devel
BuildRequires: m4
BuildRequires: bison
BuildRequires: unixODBC-devel
BuildRequires: openldap-devel
BuildRequires: libtool
BuildRequires: editline
BuildRequires: boost
BuildRequires: gdbm-devel
Requires: libxml2 >= 2.0.0, unixODBC, openssl, postgresql-odbc, editline, boost, gdbm
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
AutoReqProv: yes
Source: http://amga.web.cern.ch/amga/downloads/%{version}/source/%{name}-%{version}.tar.gz

%description
The EMI AMGA Server

%prep
 

%setup  

%build
./configure --prefix=/usr --sysconfdir=/etc --without-globus --with-server
 make DESTDIR=$RPM_BUILD_ROOT
  
  

%install
rm -rf $RPM_BUILD_ROOT
 mkdir -p $RPM_BUILD_ROOT
 make DESTDIR=$RPM_BUILD_ROOT install
 find $RPM_BUILD_ROOT -name '*.la' -exec rm -rf {} \;
 find $RPM_BUILD_ROOT -name '*.pc' -exec sed -i -e "s|$RPM_BUILD_ROOT||g" {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/sbin/chkconfig --add mdservice
/sbin/chkconfig --add mdrepdaemon

%preun
if [ $1 = 0 ]; then
 /sbin/service mdservice stop
 /sbin/service mdrepdaemon stop
 /sbin/chkconfig --del mdservice
 /sbin/chkconfig --del mdrepdaemon
fi

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
/etc/init.d/mdservice
/etc/init.d/mdrepdaemon
%config(noreplace) /etc/amgad.config
%config(noreplace) /etc/mdclient.config
/etc/logrotate.d/emi.amga.amga-server
%dir /usr/share/doc/glite-amga-server/
/usr/share/doc/glite-amga-server/upgradeMySQL5_13_20.sql
/usr/share/doc/glite-amga-server/createInitialPG.sql
/usr/share/doc/glite-amga-server/createInitialOracle.sql
/usr/share/doc/glite-amga-server/upgradePG_20_24.sql
/usr/share/doc/glite-amga-server/upgradePG_21_24.sql
/usr/share/doc/glite-amga-server/LICENSE
/usr/share/doc/glite-amga-server/upgradeOracle_13_20.sql
/usr/share/doc/glite-amga-server/upgradePG_13_20.sql
/usr/share/doc/glite-amga-server/createInitialMySQL.sql
/usr/share/doc/glite-amga-server/upgradeMySQL5_20_24.sql
/usr/share/doc/glite-amga-server/upgradeMySQL5_21_24.sql
/usr/share/doc/glite-amga-server/createInitialMySQL5.sql
/usr/share/doc/glite-amga-server/upgradeOracle_20_24.sql
/usr/share/doc/glite-amga-server/upgradeOracle_21_24.sql
/usr/share/doc/glite-amga-server/createInitialSQLite.sql
/usr/share/man/man8/amgad.8.gz
/usr/share/man/man1/mdclient.1.gz
/usr/share/man/man1/mdcli.1.gz
/usr/bin/mdcli
/usr/bin/mdclient
/usr/bin/mdrepdaemon
/usr/bin/amgad
/usr/lib64/libMDServer.so.0
/usr/lib64/libMDServer.so
/usr/lib64/libMDClient.so.0.0.0
/usr/lib64/libMDServer.so.0.0.0
/usr/lib64/libMDServer.a
/usr/lib64/libMDClient.a
/usr/lib64/libMDClient.so
/usr/lib64/libMDClient.so.0
/usr/include/AMGAService.h
/usr/include/MDClient.h
/usr/include/md_api.h

%changelog
* Thu Feb 07 2013 Geunchul Park <gcpark@kisti.re.kr> 2.4.0-1
- Rebuilt for EMI-3
